/* =========================
   Basement 1 – Rooms
   ========================= */

.room-B1-1 {
    position: absolute;
    top: 59.6%;
    left: 6.8%;
    width: 15.5%;
    height: 23%;
}

.room-B1-2 {
    position: absolute;
    top: 74.8%;
    left: 24%;
    width: 10%;
    height: 8%;
}

.room-B1-3 {
    position: absolute;
    top: 67.1%;
    left: 24%;
    width: 10%;
    height: 6%;
}

.room-B1-4 {
    position: absolute;
    top: 59.5%;
    left: 24%;
    width: 10%;
    height: 6%;
}

.room-B1-5 {
    position: absolute;
    top: 32.6%;
    left: 29%;
    width: 2%;
    height: 8%;
}

.room-B1-6 {
    position: absolute;
    top: 42.3%;
    left: 42.4%;
    width: 15.4%;
    height: 15.3%;
}

.room-B1-7 {
    position: absolute;
    top: 61.3%;
    left: 37.4%;
    width: 6%;
    height: 7.7%;
}

.room-B1-8 {
    position: absolute;
    top: 61.3%;
    left: 46.1%;
    width: 6%;
    height: 7.7%;
}

.room-B1-9 {
    position: absolute;
    top: 71.3%;
    left: 37.4%;
    width: 6%;
    height: 7.7%;
}

.room-B1-10 {
    position: absolute;
    top: 71.3%;
    left: 46.1%;
    width: 6%;
    height: 7.7%;
}

.room-B1-11 {
    position: absolute;
    top: 80.6%;
    left: 37.4%;
    width: 6%;
    height: 7.7%;
}

.room-B1-12 {
    position: absolute;
    top: 80.6%;
    left: 46.1%;
    width: 6%;
    height: 7.7%;
}

.room-B1-13 {
    position: absolute;
    top: 63.4%;
    left: 54%;
    width: 7.7%;
    height: 11.7%;
}

.room-B1-14 {
    position: absolute;
    top: 76.7%;
    left: 59.6%;
    width: 9.7%;
    height: 7.8%;
}

.room-B1-15 {
    position: absolute;
    top: 58.5%;
    left: 69.1%;
    width: 6%;
    height: 7.8%;
}

.room-B1-16 {
    position: absolute;
    top: 26.9%;
    left: 40.5%;
    width: 7.7%;
    height: 7.8%;
}

.room-B1-17 {
    position: absolute;
    top: 15.5%;
    left: 44.2%;
    width: 5.8%;
    height: 5.8%;
}

.room-B1-18 {
    position: absolute;
    top: 48%;
    left: 58%;
    width: 9.6%;
    height: 5.8%;
}

.room-B1-19 {
    position: absolute;
    top: 5.7%;
    left: 44.2%;
    width: 7.9%;
    height: 5.9%;
}

.room-B1-20 {
    position: absolute;
    top: 14.5%;
    left: 60.6%;
    width: 5.9%;
    height: 7.7%;
}

.room-B1-21 {
    position: absolute;
    top: 10.5%;
    left: 69.2%;
    width: 5.9%;
    height: 4%;
}

.room-B1-22 {
    position: absolute;
    top: 16.4%;
    left: 69.2%;
    width: 5.9%;
    height: 4%;
}

.room-B1-23 {
    position: absolute;
    top: 12.4%;
    left: 78%;
    width: 3.9%;
    height: 8%;
}

.room-B1-24 {
    position: absolute;
    top: 20.9%;
    left: 67%;
    width: 20.9%;
    height: 9%;
}

.room-B1-25 {
    position: absolute;
    top: 36.5%;
    left: 7.7%;
    width: 7.7%;
    height: 9.7%;
}

.room-B1-26 {
    position: absolute;
    top: 28.8%;
    left: 7.7%;
    width: 5.8%;
    height: 5.8%;
}

.room-B1-27 {
    position: absolute;
    top: 23%;
    left: 5.7%;
    width: 4%;
    height: 5.6%;
}

.room-B1-28 {
    position: absolute;
    top: 32.6%;
    left: 13.7%;
    width: 2%;
    height: 2%;
}

.room-B1-29 {
    position: absolute;
    top: 28.8%;
    left: 5.6%;
    width: 2%;
    height: 2%;
}

.room-B1-30 {
    position: absolute;
    top: 32.6%;
    left: 5.6%;
    width: 2%;
    height: 2%;
}

.room-B1-31 {
    position: absolute;
    top: 32.6%;
    left: 17.4%;
    width: 6%;
    height: 6%;
}

.room-B1-32 {
    position: absolute;
    top: 23%;
    left: 13.4%;
    width: 9%;
    height: 2%;
}

.room-B1-33 {
    position: absolute;
    top: 21%;
    left: 23%;
    width: 4%;
    height: 6%;
}

.room-B1-34 {
    position: absolute;
    top: 17.4%;
    left: 27.2%;
    width: 5.6%;
    height: 4.8%;
}

.room-B1-35 {
    position: absolute;
    top: 11.4%;
    left: 28.9%;
    width: 5.8%;
    height: 5.8%;
}

.room-B1-36 {
    position: absolute;
    top: 27.2%;
    left: 23%;
    width: 5.9%;
    height: 3.8%;
}

.room-B1-37 {
    position: absolute;
    top: 68%;
    left: 67.2%;
    width: 8%;
    height: 7.9%;
}

.room-B1-38 {
    position: absolute;
    top: 75.8%;
    left: 76.9%;
    width: 8%;
    height: 5.9%;
}

.room-B1-39 {
    position: absolute;
    top: 57.6%;
    left: 76.9%;
    width: 6%;
    height: 14.4%;
}

.room-B1-40 {
    position: absolute;
    top: 33.6%;
    left: 79%;
    width: 7.6%;
    height: 5.9%;   
}

.room-B1-41 {
    position: absolute;
    top: 31.6%;
    left: 69.2%;
    width: 9.6%;
    height: 6%;
}

.room-B1-42 {
    position: absolute;
    top: 48.9%;
    left: 74.2%;
    width: 6.8%;
    height: 6%;
}

.room-B1-43 {
    position: absolute;
    top: 41.3%;
    left: 92.3%;
    width: 4%;
    height: 4%;
}